diff options
| author | Leah Rowe <leah@libreboot.org> | 2026-09-14 12:22:29 +0100 |
|---|---|---|
| committer | Leah Rowe <leah@libreboot.org> | 2026-09-14 12:25:35 +0100 |
| commit | cd52750fec586e5cf8668ba592590fea2cc72f5d (patch) | |
| tree | b1a97f6ee4080f544a192896f31c68d94d37bf1c | |
| parent | f115bdfe374f950c724001b0e40824f3d9798827 (diff) | |
mk: further simplify err()
yes, just awk everything, double-quoted
Signed-off-by: Leah Rowe <leah@libreboot.org>
| -rwxr-xr-x | mk | 7 |
1 files changed, 2 insertions, 5 deletions
@@ -30,16 +30,13 @@ findpath() x_() { - [ $# -lt 1 ] || "$@" || \ - err "Unhandled error" "x_" "$@"; : + [ $# -lt 1 ] || "$@" || err "Unhandled error" "x_" "$@"; : } err() { - printf "ERROR %s: %s: " "${0-}" "${1-}" 1>&2 - shift 1 2>/dev/null || : printf '%s\n' "$@" | awk '{printf "\"%s\" ", $0}' - printf "\n" + printf "ERROR!\n" exit 1 } |
